# Get Fulfillment Centers GET https://api.shipbob.com/2026-01/fulfillment-center Returns a list of ShipBob fulfillment centers where inventory can be received. Reference: https://developer.shipbob.com/api/receiving/get-fulfillment-centers ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: | Get Fulfillment Centers version: endpoint_receiving.getFulfillmentCenters paths: /2026-01/fulfillment-center: get: operationId: get-fulfillment-centers summary: | Get Fulfillment Centers description: > Returns a list of ShipBob fulfillment centers where inventory can be received. tags: - - subpackage_receiving parameters: - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token or OAuth2 required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Receiving.FulfillmentCenterViewModelArray' '401': description: Authorization missing or invalid content: {} '403': description: The provided credentials are not authorized to access this resource content: {} components: schemas: Receiving.FulfillmentCenterViewModel: type: object properties: address1: type: - string - 'null' description: Address line one of the fulfillment center address2: type: - string - 'null' description: Address line two of the fulfillment center city: type: - string - 'null' description: City the fulfillment center is located in country: type: - string - 'null' description: Country the fulfillment center is located in email: type: - string - 'null' description: Email contact for the fulfillment center id: type: integer description: Unique identifier of the fulfillment center name: type: - string - 'null' description: Name of the fulfillment center phone_number: type: - string - 'null' description: Phone number contact for the fulfillment center state: type: - string - 'null' description: State the fulfillment center is located in timezone: type: - string - 'null' description: Timezone the fulfillment center is located in zip_code: type: - string - 'null' description: Postal code of the fulfillment center Receiving.FulfillmentCenterViewModelArray: type: array items: $ref: '#/components/schemas/Receiving.FulfillmentCenterViewModel' ``` ## SDK Code Examples ```python Receiving_getFulfillmentCenters_example import requests url = "https://api.shipbob.com/2026-01/fulfillment-center" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Receiving_getFulfillmentCenters_example const url = 'https://api.shipbob.com/2026-01/fulfillment-center'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Receiving_getFulfillmentCenters_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-01/fulfillment-center" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Receiving_getFulfillmentCenters_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-01/fulfillment-center") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Receiving_getFulfillmentCenters_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-01/fulfillment-center") .header("Authorization", "Bearer ") .asString(); ``` ```php Receiving_getFulfillmentCenters_example request('GET', 'https://api.shipbob.com/2026-01/fulfillment-center', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Receiving_getFulfillmentCenters_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-01/fulfillment-center"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Receiving_getFulfillmentCenters_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/fulfillment-center")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```